#!/usr/bin/python
# -*- coding: utf-8 -*-

# Python 3.4.0 in Linux mint 17

import os
import sqlite3 

# Dichiaro le variabili
nome = "Franz Tappeiner"
descrizione = "Ospedale Civile di Merano (BZ)"
g_p_s = "46° 40' 36.7'' N - 11° 9' 6.3'' E"
g_p = "46° 40.6116667' N - 11° 9.105' E"
g = "46.6768611° N - 11.15175° E"
web = "46.6768611,11.15175"
nmea = "4640.6117,N, 01109.1050,E"
url = "https://www.google.com/maps/preview?q=" + web
print()

# Creo il dizionario per l'inserimento delle variabili vella tabella
bindings = {"NOME":nome, "DESCRIZIONE":descrizione, "GRADI_PRIMI_SECONDI":g_p_s, "GRADI_PRIMI":g_p, "GRADI":g, "WEB":web, "NMEA":nmea, "URL":url}


# Con questa istruzione controllo che il file coordinate.db non esiste e se è vera lo creo e inserisco le variabili
if not os.path.isfile('coordinate.db'):
    conn = sqlite3.connect('coordinate.db') # Creo il db
    print()
    print("Il database coordinate.db è stato creato con successo")
    # Creo la tabella
    conn.execute('''CREATE TABLE t_coordinate
           (NOME                      TEXT    NOT NULL,
           DESCRIZIONE                TEXT    NOT NULL,
           GRADI_PRIMI_SECONDI        TEXT    NOT NULL,
           GRADI_PRIMI                TEXT    NOT NULL,
           GRADI                      TEXT    NOT NULL,
           WEB                        TEXT    NOT NULL,
           NMEA                       TEXT    NOT NULL,
           URL                        TEXT    NOT NULL);''')
    print()
    print("La tabella t_coordinate è stata creata con successo")
    print()

conn = sqlite3.connect('coordinate.db')

# Inserisco i valori nella tabella
conn.execute("""
        insert into t_coordinate (NOME,DESCRIZIONE,GRADI_PRIMI_SECONDI,GRADI_PRIMI,GRADI,WEB,NMEA,URL)
        values (:NOME, :DESCRIZIONE, :GRADI_PRIMI_SECONDI, :GRADI_PRIMI, :GRADI, :WEB, :NMEA, :URL)""",bindings)

print("I valori sono stati inseriti correttamente")
print()

conn.commit() # Salvo l'inserimento

conn.close()  # Chiudo il db

